#
# spec file for package free-ttf-fonts
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           free-ttf-fonts
Version:        1.0
Release:        lp151.2.1
Summary:        Free TrueType Art Fonts
License:        Artistic-1.0 and GPL-2.0+ and SUSE-Public-Domain
Group:          System/X11/Fonts
# Fonts from http://www.dustismo.com/
# Licensed under GPL
Source0:        Dustismo.zip
Source1:        Junkyard.zip
Source2:        Swift.zip
Source3:        El_Abogado_Loco.zip
Source4:        MarkedFool.zip
Source5:        Wargames.zip
Source6:        balker.zip
Source7:        ItWasntMe.zip
Source8:        PenguinAttack.zip
Source9:        Winks.zip
Source10:       flatline.zip
# Fonts from http://www.thibault.org/fonts/isabella/
# Licensed under GPL
Source11:       Isabella.ttf.tar.gz
Source12:       latex-xft-fonts-0.1.tar.gz
# Fonts from http://www.larabiefonts.com/
# Licensed under a freeware license
Source100:      allfonts.zip
BuildRequires:  dos2unix
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
%reconfigure_fonts_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
More than 300 free fonts in True Type format. Most of them are in the
art style and unusable as desktop fonts, but are great for any poster
or illustration.

The fonts are copyrighted under the GPL or a Freeware license, but
donations are requested by the artists. Look in
/usr/share/doc/packages/free-ttf-fonts/ for further information.

%prep

%build

%install
mkdir -p %{buildroot}%{_ttfontsdir}/
mkdir -p %{buildroot}/%_docdir/%{name}
pushd %{buildroot}%{_ttfontsdir}/
    for i in %{SOURCE0} %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} %{SOURCE7} %{SOURCE8} %{SOURCE9} %{SOURCE10} %{SOURCE100} \
      ; do
	unzip -o "$i"
    done
    for i in *.TTF *.TXT; do
        mv "$i" "`echo $i|tr '[A-Z]' '[a-z]'`"
    done
    dos2unix *.txt
    install -m 0644 *.txt %{buildroot}/%_docdir/%{name}
    rm %{buildroot}%{_ttfontsdir}/*.txt
popd
mkdir Isabella
pushd Isabella
    tar xfvz $RPM_SOURCE_DIR/Isabella.ttf.tar.gz
    install -m 0644 *.ttf %{buildroot}%{_ttfontsdir}
    install -m 0644 README.txt %{buildroot}/%_docdir/%{name}/README.Isabella.txt
    install -m 0644 COPYING %{buildroot}/%_docdir/%{name}/COPYING.Isabella
popd
mkdir latex-xft
pushd latex-xft
    tar xfvz $RPM_SOURCE_DIR/latex-xft-fonts-0.1.tar.gz
    install -m 0644 *.ttf %{buildroot}%{_ttfontsdir}
    install -m 0644 readme.latex-fonts %{buildroot}/%_docdir/%{name}
popd

%reconfigure_fonts_scriptlets

%files
%defattr(0644,root,root,755)
%_docdir/%{name}
%{_ttfontsdir}

%changelog
* Tue Mar  5 2013 coolo@suse.com
- update license to new format
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Sun Sep 18 2011 jengelh@medozas.de
- Apply packaging guidelines (remove redundant/obsolete
  tags/sections from specfile, etc.)
* Thu Apr  8 2010 tiwai@suse.de
- removed unnecessary buildrequires for too old distros
* Thu Mar 29 2007 dmueller@suse.de
- add unzip BuildRequires
* Fri Aug 11 2006 mfabian@suse.de
- don't install readme files and licenses into the font directory.
* Fri Aug 11 2006 dmueller@suse.de
- fix build
* Tue Aug  8 2006 dmueller@suse.de
- /usr/X11R6/lib/X11/fonts -> /usr/share/fonts
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec  3 2004 mfabian@suse.de
- use new macro "%%run_suseconfig_fonts".
* Mon Sep 13 2004 mfabian@suse.de
- run SuSEconfig.fonts only if it exists.
* Thu Mar 18 2004 mfabian@suse.de
- use %%suseconfig_fonts_prereq
- run SuSEconfig.fonts and SuSEconfig.pango in %%post and %%postun
* Mon Feb 23 2004 hmacht@suse.de
- building as non-root
* Thu Jan  8 2004 bg@suse.de
- add latex-xft-fonts-0.1 (see readme.latex-fonts)
  ftp://ftp.lyx.org/pub/lyx/contrib/latex-xft-fonts-0.1.tar.gz
* Wed Aug 13 2003 adrian@suse.de
- add new font
* Mon Jun 16 2003 coolo@suse.de
- package directories
* Mon May 26 2003 adrian@suse.de
- build fix
* Fri Apr 18 2003 adrian@suse.de
- initial package of a large number of fonts
